LearnPress < 3.2.6.9 - Authenticated Post Creation and Status Modification



Description
The LearnPress plugin for WordPress allows authenticated remote attackers with minimal permissions to create pages with arbitrary titles, or modify the publication status of any existing page, via the learnpress_create_page or learnpress_update_order_status AJAX actions.

Affects Plugin

fixed in version 3.2.6.9

References

CVE 2020-11510
URL https://www.wordfence.com/blog/2020/04/high-severity-vulnerabilities-patched-in-learnpress/

Classification

Type AUTHBYPASS
OWASP Top 10 A2: Broken Authentication and Session Management
CWE CWE-287

Miscellaneous

Original Researcher Ramuel Gall (Wordfence)
Submitter Ramuel Gall
Views 882
Verified No
WPVDB ID 10194

Timeline

Publicly Published 2020-04-28 (28 days ago)
Added 2020-04-28 (27 days ago)
Last Updated 2020-04-29 (26 days ago)

Our Other Services

Online WordPress Vulnerability Scanner WPScan WordPress Security Plugin